Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class DefaultMetalTheme

    java.lang.Object
      |
      +--javax.swing.plaf.metal.MetalTheme
            |
            +--javax.swing.plaf.metal.DefaultMetalTheme

public class DefaultMetalTheme
extends MetalTheme

This class describes the default Metal Theme.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Constructor Summary
`DefaultMetalTheme()`

Method Summary
`FontUIResource` | `getControlTextFont()`
`FontUIResource` | `getMenuTextFont()`
`String` | `getName()`
`protected ColorUIResource` | `getPrimary1()`
`protected ColorUIResource` | `getPrimary2()`
`protected ColorUIResource` | `getPrimary3()`
`protected ColorUIResource` | `getSecondary1()`
`protected ColorUIResource` | `getSecondary2()`
`protected ColorUIResource` | `getSecondary3()`
`FontUIResource` | `getSubTextFont()`
`FontUIResource` | `getSystemTextFont()`
`FontUIResource` | `getUserTextFont()`
`FontUIResource` | `getWindowTitleFont()`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`addCustomEntriesToTable, getAcceleratorForeground, getAcceleratorSelectedForeground, getBlack, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getFocusColor, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuForeground, getMenuSelectedBackground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getSystemTextColor, getTextHighlightColor, getUserTextColor, getWhite, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMetalTheme

    public DefaultMetalTheme()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in class `MetalTheme`

### getPrimary1

    protected ColorUIResource getPrimary1()

  Specified by:
    `getPrimary1` in class `MetalTheme`

### getPrimary2

    protected ColorUIResource getPrimary2()

  Specified by:
    `getPrimary2` in class `MetalTheme`

### getPrimary3

    protected ColorUIResource getPrimary3()

  Specified by:
    `getPrimary3` in class `MetalTheme`

### getSecondary1

    protected ColorUIResource getSecondary1()

  Specified by:
    `getSecondary1` in class `MetalTheme`

### getSecondary2

    protected ColorUIResource getSecondary2()

  Specified by:
    `getSecondary2` in class `MetalTheme`

### getSecondary3

    protected ColorUIResource getSecondary3()

  Specified by:
    `getSecondary3` in class `MetalTheme`

### getControlTextFont

    public FontUIResource getControlTextFont()

  Specified by:
    `getControlTextFont` in class `MetalTheme`

### getSystemTextFont

    public FontUIResource getSystemTextFont()

  Specified by:
    `getSystemTextFont` in class `MetalTheme`

### getUserTextFont

    public FontUIResource getUserTextFont()

  Specified by:
    `getUserTextFont` in class `MetalTheme`

### getMenuTextFont

    public FontUIResource getMenuTextFont()

  Specified by:
    `getMenuTextFont` in class `MetalTheme`

### getWindowTitleFont

    public FontUIResource getWindowTitleFont()

  Specified by:
    `getWindowTitleFont` in class `MetalTheme`

### getSubTextFont

    public FontUIResource getSubTextFont()

  Specified by:
    `getSubTextFont` in class `MetalTheme`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.